| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Text.XML.HXT.DOM.UTF8Decoding |
Portability | portable
Stability | stable
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Description
Interface for Data.Char.UTF8 funtions
Synopsis
decodeUtf8 :: String -> (String, [String])
decodeUtf8EmbedErrors :: String -> [Either String Char]
decodeUtf8IgnoreErrors :: String -> String
Documentation
decodeUtf8 :: String -> (String, [String]) | Source
calls Data.Char.UTF8.decode for parsing and decoding UTF-8
decodeUtf8EmbedErrors :: String -> [Either String Char] | Source
decodeUtf8IgnoreErrors :: String -> String | Source
Produced by Haddock version 2.4.2